# Orders details

This endpoint returns basic information for orders filtered according to the input.

Endpoint: POST /orders/details
Version: 3.1
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string)
    The id for this order.

  - `data.accommodations` (object)

  - `data.accommodations.inventory` (object)

  - `data.accommodations.inventory.third_party` (boolean)
    Boolean value is "true" if the product is facilitated by a Booking.com partner company and "false" otherwise.

  - `data.accommodations.inventory.type` (string)
    Type of inventory - either net or sell rates.
    Enum: "net", "sell"

  - `data.accommodations.reservation` (integer)
    This is the reservation id for the accommodation in this order.

  - `data.affiliate` (integer)
    The affiliate id used for this order.

  - `data.booker` (object)
    The booker's information.

  - `data.booker.address` (object)
    The booker's address for showing the best price for that user and obeying laws regarding the display of taxes and fees.

  - `data.booker.address.city` (string,null)
    The city for this address.

  - `data.booker.address.country` (string,null)
    The country for this address.

  - `data.booker.email` (string,null)
    The booker's email address.

  - `data.booker.language` (string)
    A [IETF language tag code](https://en.wikipedia.org/wiki/IETF_language_tag) that uniquely identifies a supported human language or dialect. Note: Demand API only accepts lowercase for the language codes. Examples: "nl" for Dutch/Nederlands or "en-us" for English (US). To retrieve the full list of supported languages, call the /common/languages endpoint in the same Demand API version you are using.
    Example: "en-us"

  - `data.booker.name` (object)
    The name of the booker.

  - `data.booker.name.first_name` (string,null)

  - `data.booker.name.last_name` (string,null)

  - `data.booker.platform` (string)
    The booker platform for showing the platform based deals and prices.
    Enum: "app", "desktop", "mobile_browser", "tablet", "unknown"

  - `data.booker.telephone` (string,null)
    The booker's telephone number.

  - `data.booker.travel_purpose` (string)
    The travel purpose of the booker.
    Enum: "business", "leisure", "unknown"

  - `data.cars` (object)

  - `data.cars.reservation` (integer)
    This is the reservation id for the car in this order.

  - `data.created` (string)
    Order creation time.

  - `data.commission` (object)
    Commission details for the partner for a given order.

  - `data.commission.actual_amount` (number,null)
    For accommodation: This is the final commission for this order (null if value is not yet available). For other travel services: It represents the estimated commission before billing and the final commission after billing.

  - `data.commission.estimated_amount` (number,null)
    Estimated commission amount for this order. For accommodations, it will be null if the final commission amount is available.

  - `data.currency` (string)
    Input currency used in "commission" and "price" output fields.
    Example: "EUR"

  - `data.flights` (object)

  - `data.flights.reservation` (integer)
    This is the reservation id for flight in this order.

  - `data.loyalty_reward` (array,null)
    Details of the loyalty rewards associated with this order.

  - `data.loyalty_reward.amount` (number)
    Reward amount, in the units of the specified reward type (such as cash, mile, point, etc.).

  - `data.loyalty_reward.currency` (string,null)
    Currency used for reward calculation.
    Example: "EUR"

  - `data.loyalty_reward.eligible` (boolean)
    Whether the order is eligible for the reward.

  - `data.loyalty_reward.fulfillment_at` (string)
    Date and time at which the reward should be fulfilled.

  - `data.loyalty_reward.fulfillment_by` (string)
    Mode of fulfillment of the reward.
    Enum: "partner", "booking.com"

  - `data.loyalty_reward.loyalty_data` (array,null)
    Loyalty data associated with this loyalty reward used to fulfill reward.

  - `data.loyalty_reward.loyalty_data.name` (string)
    Name of the loyalty data.

  - `data.loyalty_reward.loyalty_data.value` (string)
    Value of the loyalty data.

  - `data.loyalty_reward.type` (string)
    Type of reward.
    Enum: "cash", "mile", "point", "voucher", "voucher_money", "voucher_subscription", "voucher_percentage"

  - `data.payment` (object)
    The payment details of this order.

  - `data.payment.accommodations` (object,null)
    The accommodation specific payment details of this order.

  - `data.payment.accommodations.authorisation_form` (string,null)
    Link to the authorisation form of the order.
    Example: "https://secure-admin.booking.com/airplus_auth_form_pdf.html?token=AAAA&lang=en-us"

  - `data.payment.accommodations.receipt_url` (string,null)
    Link to the payment receipt of the order. This will only be added if the payment is already charged.
    Example: "https://secure.booking.com/payment_receipt.html?bn=0000000000&pincode=0000&lang=en"

  - `data.payment.accommodations.reservation` (integer)
    Reservation ID for this accommodation order.

  - `data.payment.method` (string)
    The payment method of this order.
    Enum: "airplus", "card", "wallet"

  - `data.payment.paid` (array,null)
    The paid transactions for this order.

  - `data.payment.paid.amount` (number)
    Amount of the transaction.

  - `data.payment.paid.at` (string)
    Time of the transaction.

  - `data.payment.paid.transaction_currency` (string)
    Currency in which the transaction took place.

  - `data.payment.pending` (array,null)
    The pending transactions for this order.

  - `data.payment.pending.amount` (number)
    Amount of the transaction.

  - `data.payment.pending.at` (string)
    Time of the transaction.

  - `data.payment.pending.transaction_currency` (string)
    Currency in which the transaction took place.

  - `data.payment.timing` (string)
    The payment timing of this order.
    Enum: "pay_at_the_property", "pay_online_later", "pay_online_now"

  - `data.price` (object,null)
    The price components of this order.

  - `data.price.commissionable` (number,null)
    The commissionable price. Order price on which commission amount is calculated.

  - `data.price.total` (number)
    The total price. Includes all extra charges.

  - `data.status` (string)
    Status of this order.
    Enum: "booked", "cancelled", "cancelled_by_accommodation", "cancelled_by_guest", "no_show", "stayed"

  - `data.updated` (string)
    Time the order was last updated.

  - `metadata` (object)
    Metadata about the request.

  - `metadata.next_page` (string,null)
    Indicates that more results are available. Use this pagination token to retrieve the next page of results (via parameter page).

  - `metadata.total_results` (integer)
    The total number of results available.

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.


